#
# spec file for package RipIT
#
Name: ripit
Summary: Perl script to create .faac .flac .ogg .mp3 .als or .mpc Files from an audio CD
Version: 3.8.1
Release: 9
License: GPL
Group: Productivity/Multimedia/CD/Grabbers
Source: %{name}-%{version}.tar.gz
Packager: Felix Suwald
Url: http://www.suwald.com/ripit/index.html
AutoReqProv: 	no
Requires: cdparanoia vorbis-tools perl perl-CDDB_get
Requires: perl-WebService-MusicBrainz perl-MusicBrainz-DiscID
Requires: perl-Class-Accessor
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildArchitectures: noarch

%description
This Perl script makes it a lot easier to create "mp3" files from an
audio CD. RipIT is a CLI script and supports Flac, Lame, Oggenc, Faac
mp4als and Musepack. Artist and song titles are retrieved either with
the CDDB_get.pm from freedb.org or using WebService::MusicBrainz.pm from
MusicBrainz.org. It is possible to submit and edit CDDB entries at
freedb.org, submission of MusicBrainz data need a login.
Hidden tracks and ghost songs are detected and splitted into chunks of
sound, toc or inf files permit to burn the wavs with text and no gaps in
DAO mode. Different encoding formats or even the same format at
different qualities can be used at the same time and encoded into
different directories.



Authors:
--------
    Felix Suwald <ripit[_at_]suwald[_dot_]com>
    Mads Martin Joergenson <mmj@mmj.dk>
    Simon Quinn

%prep

%setup

%build

%install
if [ -f /etc/ripit/config ]; then
	echo "Backuping up existing RipIt config file to /etc/ripit/config.rpmsave"
	cp /etc/ripit/config /etc/ripit/config.rpmsave
fi

rm -rf %{buildroot}
mkdir -p %{buildroot}/etc/%{name}
install -m 644 config %{buildroot}/etc/%{name}
mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 ripit.1 %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_bindir}
install -m 755 %{name}.pl %{buildroot}%{_bindir}/%{name}
#ln -s %{name}.pl %{buildroot}/%{_bindir}/%{name}

%clean
rm -rf %{buildroot}

# Be sure to list all files needed or delete them before they are
# checked, else you get the "Installed (but unpackaged) file(s) found"
# error message!
%files
%defattr(-,root,root)
%{_bindir}/%{name}
#%{_bindir}/%{name}.pl
%{_mandir}/man1/%{name}.1.gz
/etc/%{name}/config

%doc README HISTORY LICENSE Makefile ripit.spec

%changelog
* Wed Mar 24 2010 <ronolsen@comcast.net>
- Added patch to improve CDROM device detection

* Sat Jan 23 2010 <admin@vortexbox.org>
- removed the line the removes "the" from the front of names

* Tue Dec 15 2009 <admin@vortexbox.org>
- updated to 3.8.1

* Fri Oct 16 2009 <admin@vortexbox.org>
- Added --padding=8192 to FLAC options for better retagging preformance.

* Wed Aug 26 2009 <admin@vortexbox.org>
- removed rip to mp3 by default

* Wed Nov 05 2008 admin <admin@vortexbox.org>
- inital release
